Kernel 6.0


#1

Bonjour,
je suis en train d’essayer de compiler le nouveau noyau 2.6
Bon je suis pas le plus confirmer en la matière.
Quand je fais make menuconfig
il me dit qu’il me manque toujours une librairies
pourtant j’ai installer binutils, gcc, libc6-dev, libcpp-dev…
quel son les pkg minimum a installer pour compiler le nouveau kernel


#2

peux tu copier les messages d’erreur ? perso j’ai installé le 2.6 ce soir sur un portable toshiba

cellule@tosh >~$uname -a
Linux tosh 2.6.0 #1 Fri Dec 19 20:43:10 CET 2003 i686 GNU/Linux

ca marche parfaitement pour l’instant :smiley: l’integration d’alsa se fait sans probleme, et les drivers nvidia, apres les avoir patchés, marche nickel.


#3

Ok, j’ai réussi a faire marcher le make menconfig , j’ai réussi aussi a installer un noyau 2.6.0 La plupart des choses marche a part ALSA… quand dans menuconfig on choisi les options de soundcard support, d’alsa et d’OSS lesquels je dois choisir… je sais que je dois choisir dans alsa pci device emu10k1 mais ensuite doije intaller le support OSS et soundcard support…


#4

tout depend si tu compte utiliser uniquement alsa pour la gestion du son ou si tu aura besoin de OSS ? perso , j’ai installé les 2, Alsa et OSS, les 2 en tant que modules et pas en dur dans le noyau, uniquement parce que Alsa ne me donne pas de son sur Wolfenstein :smiley:

Si tu veux juste avoir du son (mp3, applis, …), alors installes Alsa en dur dans le noyau, c’est le plus simple, et oublie OSS

Par contre, j’aimerais savoir si quelqu’un est confronté a une acceleration presque X2 de la souris ?


#5

Oui moi aussi ma souris est accélérée…
J’ai essayé d’installer les drivers synaptics (kerneltrap.org/node/view/1582) et pour l’instant c’est là où j’en suis. J’ai po encore réussi à tout faire marcher mais ça va venir.

Va aussi falloir que je me renseigne au sujet du powernow…

Une question au sujet d’alsa: quand on l’a coché dans le noyau, est ce qu’il faut quand même garder les packages alsa-utils et alsa-base ?


#6

tout depends si tu as mis Alsa en tant que module ou en dur dans le noyau. Si il est en dur, tu n’asp lus besoin des packages, sinon oui